# FoundationClasses
TKMath
TColgp

# TColgp_HSequenceOfVec2d Class Reference

`#include <TColgp_HSequenceOfVec2d.hxx>`

Inheritance diagram for TColgp_HSequenceOfVec2d:

[legend]

## Public Member Functions

| TColgp_HSequenceOfVec2d ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const gp_Vec2d &anItem)
Standard_EXPORT void | Append (const Handle(TColgp_HSequenceOfVec2d)&aSequence)
Standard_EXPORT void | Prepend (const gp_Vec2d &anItem)
Standard_EXPORT void | Prepend (const Handle(TColgp_HSequenceOfVec2d)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const gp_Vec2d &anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(TColgp_HSequenceOfVec2d)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const gp_Vec2d &anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(TColgp_HSequenceOfVec2d)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_TColgp_HSequenceOfVec2d | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const gp_Vec2d &anItem)
Standard_EXPORT const gp_Vec2d & | Value (const Standard_Integer anIndex) const
Standard_EXPORT gp_Vec2d & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const TColgp_SequenceOfVec2d & | Sequence () const
TColgp_SequenceOfVec2d & | ChangeSequence ()
Standard_EXPORT Handle_TColgp_HSequenceOfVec2d | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColgp_SequenceOfVec2d | mySequence

## Constructor & Destructor Documentation

TColgp_HSequenceOfVec2d::TColgp_HSequenceOfVec2d | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void TColgp_HSequenceOfVec2d::Append | ( | const Handle(TColgp_HSequenceOfVec2d)& | aSequence | ) |

Standard_EXPORT void TColgp_HSequenceOfVec2d::Append | ( | const gp_Vec2d & | anItem | ) |

TColgp_SequenceOfVec2d& TColgp_HSequenceOfVec2d::ChangeSequence | ( |  | ) |

Standard_EXPORT gp_Vec2d& TColgp_HSequenceOfVec2d::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void TColgp_HSequenceOfVec2d::Clear | ( |  | ) |

Standard_EXPORT void TColgp_HSequenceOfVec2d::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const TColgp_HSequenceOfVec2d::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void TColgp_HSequenceOfVec2d::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(TColgp_HSequenceOfVec2d)& | aSequence
| ) |

Standard_EXPORT void TColgp_HSequenceOfVec2d::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const gp_Vec2d & | anItem
| ) |

Standard_EXPORT void TColgp_HSequenceOfVec2d::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(TColgp_HSequenceOfVec2d)& | aSequence
| ) |

Standard_EXPORT void TColgp_HSequenceOfVec2d::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const gp_Vec2d & | anItem
| ) |

Standard_Boolean TColgp_HSequenceOfVec2d::IsEmpty | ( |  | ) | const

Standard_Integer TColgp_HSequenceOfVec2d::Length | ( |  | ) | const

Standard_EXPORT void TColgp_HSequenceOfVec2d::Prepend | ( | const Handle(TColgp_HSequenceOfVec2d)& | aSequence | ) |

Standard_EXPORT void TColgp_HSequenceOfVec2d::Prepend | ( | const gp_Vec2d & | anItem | ) |

Standard_EXPORT void TColgp_HSequenceOfVec2d::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void TColgp_HSequenceOfVec2d::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void TColgp_HSequenceOfVec2d::Reverse | ( |  | ) |

const TColgp_SequenceOfVec2d& TColgp_HSequenceOfVec2d::Sequence | ( |  | ) | const

Standard_EXPORT void TColgp_HSequenceOfVec2d::SetValue | ( | const Standard_Integer | anIndex,
|  | const gp_Vec2d & | anItem
| ) |

Standard_EXPORT Handle_TColgp_HSequenceOfVec2d TColgp_HSequenceOfVec2d::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_TColgp_HSequenceOfVec2d TColgp_HSequenceOfVec2d::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const gp_Vec2d& TColgp_HSequenceOfVec2d::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

TColgp_SequenceOfVec2d TColgp_HSequenceOfVec2d::mySequence `[private]`

The documentation for this class was generated from the following file:

- TColgp_HSequenceOfVec2d.hxx